package com.zanxiang.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : xufeng
 * @time : 2022-06-30
 * @description : 游戏支付配置表
 */
@Data
public class GamePayWayListVO {

    @ApiModelProperty(notes = "主键id")
    private Long id;

    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    @ApiModelProperty(notes = "游戏名称")
    private String gameName;

    @ApiModelProperty(notes = "游戏应用类型id")
    private Long gameCategoryId;

    @ApiModelProperty(notes = "游戏应用类型名称")
    private String gameCategory;

    @ApiModelProperty(notes = "支付方式id")
    private Long payWayId;

    @ApiModelProperty(notes = "支付方式名称")
    private String payWayName;

    @ApiModelProperty(notes = "商户号")
    private String merchantNo;

    @ApiModelProperty(notes = "商户名称")
    private String merchantName;

    @ApiModelProperty(notes = "支付盒子id")
    private Long payBoxId;

    @ApiModelProperty(notes = "支付盒子")
    private String payBoxName;

    @ApiModelProperty(notes = "备注")
    private String remark;

    @ApiModelProperty(notes = "状态 1 不可用 0 可用")
    private Integer status;

}