package com.zanxiang.manage.domain.dto;

import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2022-11-04
 * @description : 游戏分类
 */
@Data
public class GameCategoryDTO {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 标签名称
     */
    private String name;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否父应用类型
     */
    private Boolean isParent;

    /**
     * 父应用类型id
     */
    private Long parentId;

    /**
     * 操作者id
     */
    private Long operatorId;

    /**
     * 操作者名字
     */
    private String operatorName;

    /**
     * 1 删除  0 正常
     */
    private Integer isDelete;
}
